ur_rna.Utilities.swing

## Class Components

- java.lang.Object
- - ur_rna.Utilities.swing.Components

-     public abstract class Components
      extends java.lang.Object

  Utility to help with Swing Components

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.awt.Component[]` | `EMPTY_COMPONENT_ARRAY`
    `static java.util.List<java.awt.Component>` | `EMPTY_COMPONENT_LIST`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Components()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addAll(java.awt.Container parent, java.awt.Component[] list)`
    `static void` | `addAll(java.awt.Container parent, java.lang.Iterable<? extends java.awt.Component> list)`
    `static java.lang.String` | `getNameOrText(java.awt.Component c)` Return the first non-null non-empty String of the following: the item's name, text, or actionCommand.
    `static boolean` | `isAncestor(java.awt.Component c, java.awt.Container possibleAncestor)` Returns true if the component c is equal to possibleAncestor or is a child or descendant of possibleAncestor.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EMPTY_COMPONENT_ARRAY

          public static java.awt.Component[] EMPTY_COMPONENT_ARRAY

    - #### EMPTY_COMPONENT_LIST

          public static java.util.List<java.awt.Component> EMPTY_COMPONENT_LIST

  - ### Constructor Detail

    - #### Components

          public Components()

  - ### Method Detail

    - #### addAll

          public static void addAll(java.awt.Container parent,
                                    java.awt.Component[] list)

    - #### addAll

          public static void addAll(java.awt.Container parent,
                                    java.lang.Iterable<? extends java.awt.Component> list)

    - #### getNameOrText

          public static java.lang.String getNameOrText(java.awt.Component c)

      Return the first non-null non-empty String of the following: the item's name, text, or actionCommand.
      Parameters:
        `c` -
      Returns:

    - #### isAncestor

          public static boolean isAncestor(java.awt.Component c,
                                           java.awt.Container possibleAncestor)

      Returns true if the component c is equal to possibleAncestor or is a child or descendant of possibleAncestor.